Subject: Your ticking dream

From: " Avt-archive" <[email-masked] >
Date: Fri, 6 Jul 2007 10:27:14 +0500

Luxury watch has always said a lot about the social status of its owner…
Lowest prices, free express delivery and the widest choice here!
We’ve got hundreds of items by the best brands here – pick up your perfect one!
http://slonoima.com